package middleware

import (
	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/net/ghttp"
	"strings"
)

func Auth(r *ghttp.Request) {
	// 放行设置
	if !strings.Contains(r.RequestURI, "/user/login") && !strings.Contains(r.RequestURI, "/user/logout") {
		sessData, _ := r.Session.Get("user_id")
		if sessData.Val() == nil {
			r.Response.WriteJsonExit(DefaultHandlerResponse{
				Code:    gcode.CodeNotAuthorized.Code(),
				Message: "请先登录",
				Data:    struct{}{},
			})
		}
	}
	r.Middleware.Next()
}
